## hfsprogs 332.14

=== edquota.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = edquota

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = pathnames.h

CFILES = edquota.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble edquota.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
WINDOWS_INSTALLDIR = /usr/sbin
PDO_UNIX_INSTALLDIR = /usr/sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== quotaon.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = quotaon

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = quotaon.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble quotaon.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
WINDOWS_INSTALLDIR = /usr/sbin
PDO_UNIX_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== fsck_hfs.tproj/dfalib/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = dfalib

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

HFILES = hfs_endian.h BTree.h BTreePrivate.h BTreeScanner.h CaseFolding.h\
		 CheckHFS.h Scavenger.h SRuntime.h DecompDataEnums.h DecompData.h  

CFILES = hfs_endian.c BlockCache.c\
         BTree.c BTreeAllocate.c BTreeMiscOps.c \
         BTreeNodeOps.c BTreeScanner.c BTreeTreeOps.c\
         CatalogCheck.c HardLinkCheck.c\
         SBTree.c SControl.c SVerify1.c SVerify2.c\
         SRepair.c SRebuildCatalogBTree.c\
         SUtils.c SKeyCompare.c SDevice.c SExtents.c SAllocate.c\
         SCatalog.c SStubs.c VolumeBitmapCheck.c
         

OTHERSRCS = Makefile


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = 
WINDOWS_INSTALLDIR = 
PDO_UNIX_INSTALLDIR = 
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


NEXTSTEP_PB_CFLAGS = -DBSD=1 -DDEBUG_BUILD=0 -Wno-four-char-constants -fpascal-strings


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

## hfsprogs 332.25

=== clri.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = clri

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = ufs_byte_order.h

CFILES = clri.c ufs_byte_order.c

OTHERSRCS = Makefile.preamble Makefile.postamble Makefile Makefile.dist clri.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== disklib/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = disk

PROJECTVERSION = 2.8
PROJECT_TYPE = Library

HFILES = dump.h fsck.h mntopts.h pathnames.h ufslabel.h dkopen.h

CFILES = dkcksum.c dksecsize.c dumprmt.c getmntopts.c preen.c\
         vfslist.c dkdisklabel.c ufslabel.c dkopen.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CURRENTLY_ACTIVE_VERSION = YES
DEPLOY_WITH_VERSION_NAME = A
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = library.make
NEXTSTEP_INSTALLDIR = /usr/local/lib
WINDOWS_INSTALLDIR = LOCAL_DEVELOPER_DIR/Libraries
PDO_UNIX_INSTALLDIR = /usr/local/lib
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)

HEADER_PATHS = -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders

PROJECT_HEADERS = mntopts.h fsck.h pathnames.h dump.h



NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

WINDOWS_PUBLIC_HEADERS_DIR = LOCAL_DEVELOPER_DIR/Headers/$(NAME)

PDO_UNIX_PUBLIC_HEADERS_DIR = LOCAL_DEVELOPER_DIR/Headers/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== dump.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = dump

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = itime.c main.c optr.c tape.c traverse.c unctime.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble Makefile.dist\
            dump.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


NEXTSTEP_PB_CFLAGS = -DRDUMP
WINDOWS_PB_CFLAGS = -DRDUMP
PDO_UNIX_PB_CFLAGS = -DRDUMP


NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== fdisk.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = fdisk

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = cmd.c disk.c fdisk.c getrawpartition.c mbr.c misc.c opendev.c part.c user.c auto.c
HFILES = cmd.h disk.h mbr.h misc.h part.h user.h util.h auto.h
OTHER_GENERATED_SOURCEFILES += manual.c
OTHER_GENERATED_OFILES += manual.o

OTHERSRCS = fdisk.8 Makefile Makefile.postamble PB.project


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /usr/sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


HEADER_PATHS = -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders
NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)


-include Makefile.postamble

-include Makefile.dependencies

=== fsck.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = fsck

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = fsck.h ufs_byte_order.h

CFILES = dir.c ffs_subr.c ffs_tables.c inode.c main.c pass1.c\
         pass1b.c pass2.c pass3.c pass4.c pass5.c preen.c setup.c\
         ufs_byte_order.c utilities.c

OTHERSRCS = Makefile.preamble Makefile.postamble Makefile Makefile.dist fsck.8 SMM.doc


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)



HEADER_PATHS = -I$(NEXT_ROOT)$(SYSTEM_LIBRARY_DIR)/Frameworks/System.framework/PrivateHeaders

NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== fsck_hfs.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = fsck_hfs

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = fsck_hfs.h cache.h fsck_debug.h

CFILES = fsck_hfs.c strings.c utilities.c cache.c fsck_debug.c

SUBPROJECTS = dfalib

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble makestrings fsck_hfs.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


HEADER_PATHS = -Idfalib
NEXTSTEP_PB_CFLAGS = -Wall -Werror


NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== fsck_msdos.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = fsck_msdos

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = dosfs.h ext.h fsutil.h

CFILES = main.c check.c boot.c fat.c dir.c fsutil.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble fsck_msdos.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


HEADER_PATHS = -Idfalib
NEXTSTEP_PB_CFLAGS = -Wall -Werror 


NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mount.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mount

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = pathnames.h

CFILES = mount.c mount_ufs.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble Makefile.dist\
            getmntopts.3 mount.8 fstab.5


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mount_cd9660.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mount_cd9660

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

HFILES = 

CFILES = mount_cd9660.c

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble\
            mount_cd9660.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework IOKit -framework CoreFoundation


NEXTSTEP_BUILD_OUTPUT_DIR = /$(USER)/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mount_devfs.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mount_devfs

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = mount_devfs.c

OTHERSRCS = Makefile.preamble Makefile


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /Library/Executables
PDO_UNIX_INSTALLDIR = /bin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(JDKBINDIR)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mount_fdesc.tproj/Makefile ===
#
# Generated by the Apple Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mount_fdesc

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = mount_fdesc.c

OTHERSRCS = Makefile.preamble Makefile.postamble Makefile Makefile.dist mount_fdesc.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




NEXTSTEP_BUILD_OUTPUT_DIR = /tmp/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== mount_nfs.tproj/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = mount_nfs

PROJECTVERSION = 2.8
PROJECT_TYPE = Tool

CFILES = mount_nfs.c

OTHERSRCS = Makefile.preamble Makefile.postamble Makefile Makefile.dist mount_nfs.8


MAKEFILEDIR = $(MAKEFILEPATH)/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = tool.make
NEXTSTEP_INSTALLDIR = /sbin
WINDOWS_INSTALLDIR = /sbin
PDO_UNIX_INSTALLDIR = /sbin
LIBS = -ldisk
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


NEXTSTEP_PB_CFLAGS = -DNFS 
WINDOWS_PB_CFLAGS = -DNFS 
PDO_UNIX_PB_CFLAGS = -DNFS 


NEXTSTEP_BUILD_OUTPUT_DIR = /$(USER)/BUILD

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== debian/changelog ===
hfsprogs (332.25-8) unstable; urgency=low

  * Use a FTBFS bug revealed by the kfreebsd-* ports.
    This was reported by Cyril Brulebois, and patched by: Petr Salinger.
    Closes: #566916
  * Remove b-dep on kfreebsd-kernel-headers, as it is build-essential.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 31 Jan 2010 07:01:54 -0200

hfsprogs (332.25-7) unstable; urgency=low

  * Include b-dep on kfreebsd-kernel-headers on kfreebsd-*. Closes: #566916

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 26 Jan 2010 19:39:42 -0200

hfsprogs (332.25-6) experimental; urgency=low

  * some code cleanup against upstream.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 18 Nov 2009 07:22:09 -0200

hfsprogs (332.25-5) unstable; urgency=low

  * incorporate Goswin von Brederlow's patch.
    + eliminate the need to use -m32 in 64-bit arches.
    + eliminate the need for the gcc-multilib hack.
    + can compile on every arch out there.
    + upstream's code could be cleaner.
    + Closes: #436159.
  * optimize for size again
  * avoid duplication of code (strlcpy):
    + linking against libbsd.
    + kill custom workaround of strlcpy. Closes: #556596.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 17 Nov 2009 06:17:50 -0200

hfsprogs (332.25-4) unstable; urgency=low

  * upload to unstable, now that earlier versions are in testing.
  * change to "3.0 (quilt)" format.
    + drop explicit mentions of quilt on debian/rules.
    + drop build-dependency on quilt on debian/control.
    + create debian/source/format.
    + remove debian/README.source.
  * debian/control:
    + remove armeb from arch list.
    + group kfreebsd-* entries together.
  * debian/rules:
    + don't recursively remove files, when no directory is involved.
    + clean up internal variables.
    + enable more warnings.
    + optimize with O2 for the moment, instead of Os.
  * debian/{rules,control}:
    + make hardened builds.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 16 Nov 2009 05:40:00 -0200

hfsprogs (332.25-3) experimental; urgency=low

  * fix compilation flags with binutils-gold. (Closes: #554800).
  * link with -Wl,--as-needed.
  * honor *FLAGS in our custom-made makefiles.
  * build again with -Wall -g to get closer to a release.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 06 Nov 2009 19:44:31 -0200

hfsprogs (332.25-2) experimental; urgency=low

  * re-include patch to fix spelling errors in the manpage.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 03 Nov 2009 16:39:00 -0200

hfsprogs (332.25-1) experimental; urgency=low

  * New upstream release:
    + Now at the latest version released with MacOS X 10.4.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 03 Nov 2009 16:23:40 -0200

hfsprogs (332.23-1) experimental; urgency=low

  * New upstream release.
    (still catching up with Apple, but we'll get closer now).

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 03 Nov 2009 16:20:17 -0200

hfsprogs (332.22-1) experimental; urgency=low

  * New upstream release.
    (still catching up with Apple, but we'll get closer now).
  * create new patch to avoid conflict with eglibc's dprintf and the
    custom version present in the sources.
  * refreshed all the patches to avoid conflicts.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 03 Nov 2009 15:44:48 -0200

hfsprogs (332.18-1) experimental; urgency=low

  * New upstream version.
    (still catching up with Apple, but we'll get closer now).
  * debian/control:
    + include avr32 as an allowed arch.
  * debian/patches:
    + 00-create_makefiles: add a file for fsck.hfsplus.
    + 10-linux_specific_code: remove an #undefine to allow compilation.
    + 90-workaround_strlcpy: s/strlcpy/strncpy/ (yes, it's dangerous).
    + readapt the patches *a* *lot* (what a headache!).
    + refresh the patches.
  * debian/rules:
    + disabled warnings for a little while.
  * debian/watch:
    + include a new one (caution: Apple may change their site layout).
  * debian/README.source:
    + include, as we are using quilt.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 17 Aug 2009 15:23:01 -0300

hfsprogs (332.14-8) unstable; urgency=low

  * fix spelling in manpages, thanks to A. Costa. (Closes: #547425).
  * include a README.source file as per policy.
  * include a watch file to track upstream versions.
  * upgrade Standards-Version 3.8.3. No changes needed.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 25 Oct 2009 10:01:03 -0200

hfsprogs (332.14-7) unstable; urgency=low

  * debian/control:
    + try to support for multiarch. Tks Petr Salinger. (Closes: #537378)
    + include support for kfreebsd-amd64.
    + upgrade to Standards version 3.8.2. No changes needed.
  * debian/copyright:
    + update my copyright.
  * debian/{dirs,lintian.override,rules}:
    + remove unused parts and installation.
  * debian/rules:
    + remove commented lines.
    + clean up a little.
    + document the compilation of kfreebsd-amd64 and amd64 with 32 bit
      instructions.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 02 Aug 2009 13:28:14 -0300

hfsprogs (332.14-6) unstable; urgency=low

  * debian/patches/*: include description (lintian).

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 03 Mar 2009 11:26:11 -0300

hfsprogs (332.14-5) unstable; urgency=low

  * debian/patches: break-up the Gentoo patch into smaller patches.
  * debian/patches: reorder the patches.
  * debian/patches: refresh the patches.
  * debian/patches: remove mention of pdisk (Closes: #482868) (LP: #234749).
  * debian/control: include Homepage field.
  * debian/control: update Standards-Version to 3.8.0. No changes required.
  * debian/control: include DM-Upload-Allowed, as I am a DM now.
  * debian/control: remove statement about using journals (LP: #164151).
  * debian/rules: add -Wextra compilation flag.
  * debian/rules: use quilt.make and remove home-brew solution.
  * debian/watch: create watch file (lintian warning).

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 07 Oct 2008 05:08:48 -0300

hfsprogs (332.14-4) unstable; urgency=low



=== debian/control ===
Source: hfsprogs
Section: otherosfs
Priority: optional
DM-Upload-Allowed: yes
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Homepage: http://www.opensource.apple.com/darwinsource/10.4/
Build-Depends: debhelper (>= 5), libssl-dev, libbsd-dev, hardening-wrapper
Standards-Version: 3.8.3

Package: hfsprogs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mkfs and fsck for HFS and HFS+ file systems
 The HFS+ file system used by Apple Computer for their Mac OS is
 supported by the Linux kernel.  Apple provides mkfs and fsck for
 HFS+ with the Unix core of their operating system, Darwin.
 .
 This package is a port of Apple's tools for HFS+ filesystems.
 .
 For users, HFS+ seems to be a good compromise to carry files between
 MacOS X and Linux Machines, as HFS+ doesn't suffer the problems of
 FAT32 like:
 .
  * huge space waste (in slack space as devices grow faster);
  * ability to create files that are more than 4GB in size (especially
    good for those working with multimedia and that need to carry large
    ISO files);
  * ability to use case preserving (and even sensitivity!);
  * ability to use uid's and gid's on the filesystem.
 .
 Users in general can enjoy such benefits since it is expected to have
 more HFS+ filesystems in use, as Apple has announced Macintoshes for
 ix86-64, besides the filesystem being already supported by PowerPC
 systems since the beginning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

############################################################
# Initial setup
package=hfsprogs
tmpdir=debian/$(package)
shrdir=$(tmpdir)/usr/share/$(package)
docdir=$(tmpdir)/usr/share/doc/$(package)
mansec=8
mandir=$(tmpdir)/usr/share/man/man$(mansec)

export DEB_BUILD_HARDENING=1

CFLAGS += -Wall -Wextra -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

CFLAGS += -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -I$(CURDIR)/include
LDFLAGS += -Wl,--as-needed

############################################################
# The targets

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE) -f Makefile.lnx CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	rm -f newfs_hfs.tproj/*.o  fsck_hfs.tproj/*.o fsck_hfs.tproj/dfalib/*.o
	rm -f newfs_hfs.tproj/newfs_hfs fsck_hfs.tproj/fsck_hfs fsck_hfs.tproj/dfalib/libdfa.a
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	install -m 644 newfs_hfs.tproj/hfsbootdata.img $(shrdir)/hfsbootdata
	install -m 755 newfs_hfs.tproj/newfs_hfs   $(tmpdir)/sbin/mkfs.hfsplus
	install -m 755 fsck_hfs.tproj/fsck_hfs     $(tmpdir)/sbin/fsck.hfsplus
	install -m 644 newfs_hfs.tproj/newfs_hfs.8 $(mandir)/mkfs.hfsplus.8
	install -m 644 fsck_hfs.tproj/fsck_hfs.8   $(mandir)/fsck.hfsplus.8

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hfsprogs 540.1.linux3

=== Makefile ===
VERSION=540.1.linux3

CC := clang
CFLAGS := -g3 -Wall -fblocks -I$(PWD)/BlocksRunTime -I$(PWD)/include -DDEBUG_BUILD=0 -D_FILE_OFFSET_BITS=64 -D LINUX=1 -D BSD=1 -D VERSION=\"$(VERSION)\"
LDFLAGS := -Wl,--build-id -L$(PWD)/BlocksRunTime
SUBDIRS := BlocksRunTime newfs_hfs.tproj fsck_hfs.tproj

all clean:
	for d in $(SUBDIRS); do $(MAKE) -C $$d -f Makefile.lnx $@; done

dist: clean
	-mkdir diskdev_cmds-$(VERSION)
	cp -a $(SUBDIRS) Makefile include diskdev_cmds-$(VERSION)
	tar zcf diskdev_cmds-$(VERSION).tar.gz diskdev_cmds-$(VERSION) 

export CC CFLAGS LDFLAGS

=== fsck_hfs.tproj/Makefile ===
Project = fsck_hfs
ProductType = tool
Install_Dir = /sbin

SubProjects = dfalib

HFILES = fsck_hfs.h cache.h fsck_debug.h \
	fsck_keys.h fsck_hfs_msgnums.h fsck_msgnums.h
CFILES = fsck_hfs.c utilities.c cache.c fsck_debug.c \
	fsck_messages.c fsck_strings.c fsck_hfs_strings.c \
	$(OBJROOT)/$(Project)/_version.c
MANPAGES = fsck_hfs.8

Embedded=$(shell tconf --test TARGET_OS_EMBEDDED)

export CONFIG_HFS_TRIM ?= 1

Extra_CC_Flags = -DCONFIG_HFS_TRIM=$(CONFIG_HFS_TRIM) -Wall -Werror \
	-Wno-error=deprecated-declarations -Idfalib

Extra_LD_Flags = -dead_strip \
	-L"$(SYMROOT)" -ldfalib -framework IOKit -framework CoreFoundation

ifeq ($(Embedded),NO)
	Extra_CC_Flags += -mdynamic-no-pic
endif

HFS_INSTALLDIR = /System/Library/Filesystems/hfs.fs
FSCK_STRINGPATH = $(HFS_INSTALLDIR)/Contents/Resources/English.lproj/fsck.strings
INCINSTALLDIR = ${DSTROOT}/usr/local/include/fsck

include $(MAKEFILEPATH)/CoreOS/ReleaseControl/BSDCommon.make

${SYMROOT}/fsck_makestrings:	${SYMROOT}/fsck_makestring1.o fsck_strings.o fsck_hfs_strings.o
	${CC} ${CFLAGS} ${SYMROOT}/fsck_makestring1.o fsck_strings.o fsck_hfs_strings.o -o ${SYMROOT}/fsck_makestrings

${SYMROOT}/fsck_makestring1.o:	fsck_messages.c fsck_messages.h
	${CC} ${CFLAGS} -I. -Idfalib -DBSD -DFSCK_MAKESTRINGS -c fsck_messages.c -o ${SYMROOT}/fsck_makestring1.o

$(OBJROOT)/$(Project)/_version.c:
	/Developer/Makefiles/bin/version.pl diskdev_cmds > $@

after_install:	${SYMROOT}/fsck_makestrings
	$(RMDIR) "$(DSTROOT)/scratch"
	$(INSTALL_DIRECTORY) "$(DSTROOT)$(HFS_INSTALLDIR)"/Contents/Resources/English.lproj
	printf "\376\377" > "$(DSTROOT)$(FSCK_STRINGPATH)"
	${SYMROOT}/fsck_makestrings | tr \\012 \\015 | sed 's/./~&/g' | tr -d \\012 | tr \\015 \\012 | tr \\176 \\000 >> $(DSTROOT)$(FSCK_STRINGPATH)
	$(CHOWN) -Rf root:wheel "$(DSTROOT)$(HFS_INSTALLDIR)"/Contents
	find "$(DSTROOT)$(HFS_INSTALLDIR)"/Contents -type d -exec chmod 755 {} \;
	find "$(DSTROOT)$(HFS_INSTALLDIR)"/Contents -type f -exec chmod 644 {} \;
	install -d -o root -g wheel -m 0755 ${INCINSTALLDIR}
	install -c -o root -g wheel -m 0444 fsck_keys.h ${INCINSTALLDIR}

=== newfs_hfs.tproj/Makefile ===
Project = newfs_hfs
ProductType = tool
Install_Dir = /sbin

HFILES = hfs_endian.h newfs_hfs.h
CFILES = hfs_endian.c makehfs.c newfs_hfs.c
MANPAGES = newfs_hfs.8

Extra_CC_Flags = -Wall -Werror \
	-D_LONG_LONG -Wno-four-char-constants
Extra_LD_Flags = -dead_strip -lutil
Extra_Frameworks = -framework CoreFoundation

Embedded=$(shell tconf --test TARGET_OS_EMBEDDED)

ifeq ($(Embedded),NO)
Extra_Frameworks += -framework IOKit
endif

include $(MAKEFILEPATH)/CoreOS/ReleaseControl/BSDCommon.make

=== fsck_hfs.tproj/dfalib/Makefile ===
Project = dfalib
ProductType = staticlib
Install_Dir = /scratch

HFILES = hfs_endian.h BTree.h BTreePrivate.h BTreeScanner.h CaseFolding.h\
		 CheckHFS.h Scavenger.h SRuntime.h DecompDataEnums.h DecompData.h  

CFILES = hfs_endian.c BlockCache.c\
         BTree.c BTreeAllocate.c BTreeMiscOps.c \
         BTreeNodeOps.c BTreeScanner.c BTreeTreeOps.c\
         CatalogCheck.c HardLinkCheck.c dirhardlink.c \
         SBTree.c SControl.c SVerify1.c SVerify2.c\
         SRepair.c SRebuildBTree.c\
         SUtils.c SKeyCompare.c SDevice.c SExtents.c SAllocate.c\
         SCatalog.c SStubs.c VolumeBitmapCheck.c uuid.c
         
Extra_CC_Flags = -Wall -Werror -DBSD=1 -DDEBUG_BUILD=0 -DCONFIG_HFS_TRIM=$(CONFIG_HFS_TRIM) \
	-Wno-four-char-constants -fpascal-strings

include $(MAKEFILEPATH)/CoreOS/ReleaseControl/BSDCommon.make

=== debian/changelog ===
hfsprogs (540.1.linux3-4) unstable; urgency=medium

  * Add patch to re-add support for creating legacy HFS filesystems
    (Closes: #973911)
  * Add patch to create legacy HFS filesytems when newfs_hfs
    is invoked as mkfs.hfs
  * Add hfsbootdata.img from upstream to debian directory
  * Re-add installation of hfsbootdata.img to debian/rules

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 05 Feb 2021 12:02:59 +0100

hfsprogs (540.1.linux3-3) unstable; urgency=medium

  * Add copyright and license for BlocksRunTime in debian/copyright
  * Remove obsolete reference to Gentoo patch in debian/README.Debian

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Jan 2021 15:13:34 +0100

hfsprogs (540.1.linux3-2) unstable; urgency=medium

  * Change Section to non-free/otherosfs in debian/control (Closes: #666707)
  * Set XS-Autobuild to yes in debian/control
  * Remove unused target override_dh_auto_clean in debian/rules
  * Remove unused target override_dh_auto_test in debian/rules

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 17 Nov 2020 11:16:06 +0100

hfsprogs (540.1.linux3-1) unstable; urgency=medium

  * New upstream version (Closes: #765104)
  * Remove all Debian patches for the previous upstream version
  * Set myself as maintainer in debian/control (Closes: #958522)
  * Strip unnecessary CFLAGS and LDFLAGS from debian/rules
  * Remove unnecessary override_dh_auto_build from debian/rules
  * Add uuid-dev to Build-Depends in debian/control
  * Remove installation of hfsbootdata.img from debian/rules
  * Update debhelper version to 12 and switch to debhelper-compat
  * Add patch from Fedora to allow building hfsprogs with gcc
  * Add patch from Fedora to fix FTBFS on ARM
  * Add patch from Fedora to fix FTBFS with glibc >= 2.32 (Closes: #967986)
  * Add patch to replace $(PWD) with $(CURDIR) in Makefile
  * Convert debian/copyright to machine-readable format and update years
  * Add Vcs-* fields to debian/control
  * Update Homepage field in debian/control
  * Reformat debian/control to match commonly used format
  * Update Standards-Version to 4.5.0 in debian/control

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 01 Nov 2020 18:56:49 +0100

hfsprogs (332.25-11) unstable; urgency=low

  * debian/control: Remove DMUA flag.
  * debian/rules: Override rules for which we don't have makefiles.
    (Closes: #724195)
  * debian/patches:
    + Change the headers to be friendlier with gbp pq.
    + Remove unreferenced patches in series file.
    + Coalesce all patches touching man pages into one.
    + Regenerate everything from patch-queue branch.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 24 Oct 2013 01:20:15 -0200

hfsprogs (332.25-10) unstable; urgency=low

  * debian/compat:
    + Set to 9 to gain the hardening flags for compilation.
  * debian/control:
    + Simple run of `wrap-and-sort -sav` for legibility.
    + Update Standards-Version to 3.9.3, with no further changes.
    + B-D on debhelper >= 9 and drop versioned B-D on dpkg-dev.
  * debian/rules:
    + First steps toward making the build rules saner with dh.
    + Change from `dh_clean -k` to `dh_prep`.
    + Make declarative use of `dh_auto_clean`.
  * debian/patches:
    + Add patch from Matthew Garrett to fix UUID creation. Thanks to
      Matthew Garrett for the patch and Lars Noodén for reporting.
      (LP:737002)

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 12 Mar 2012 08:16:11 -0300

hfsprogs (332.25-9) unstable; urgency=low

  * debian/patches/80-remove_see-also_from_manpage.patch:
    + Fix spelling in fsck.hfsplus's manpage. Closes: #575201.
      Thanks Lionel Elie Mamane <lmamane@debian.org>.
    + Fix manpages not reflecting the situation of Linux/Debian systems.
      Closes: #598714. Thanks Christoph Hellwig <hch@lst.de>.
  * debian/patches:
    + Move 80-remove_see-also_from_manpage.patch to 80-fix_manpages.patch.
    + Integrate 90-fix_manpage_typos.patch into 80-fix_manpages.patch.
    + Update series.
  * debian/control:
    + Update Standards-Version to 3.9.1, with no further changes.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 25 Nov 2010 03:11:42 -0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,22 @@
 Source: hfsprogs
-Section: otherosfs
+Section: non-free/otherosfs
+XS-Autobuild: yes
 Priority: optional
-DM-Upload-Allowed: yes
-Maintainer: Rogério Brito <rbrito@ime.usp.br>
-Homepage: http://www.opensource.apple.com/darwinsource/10.4/
-Build-Depends: debhelper (>= 5), libssl-dev, libbsd-dev, hardening-wrapper
-Standards-Version: 3.8.3
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Build-Depends: debhelper-compat (= 12),
+               libbsd-dev,
+               libssl-dev,
+                uuid-dev
+Standards-Version: 4.5.0
+Homepage: https://opensource.apple.com/source/diskdev_cmds/
+Vcs-Browser: https://salsa.debian.org/debian/hfsprogs
+Vcs-Git: https://salsa.debian.org/debian/hfsprogs.git
 
 Package: hfsprogs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: mkfs and fsck for HFS and HFS+ file systems
  The HFS+ file system used by Apple Computer for their Mac OS is
  supported by the Linux kernel.  Apple provides mkfs and fsck for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

package=hfsprogs
tmpdir=debian/$(package)
shrdir=$(tmpdir)/usr/share/misc
docdir=$(tmpdir)/usr/share/doc/$(package)
mansec=8
mandir=$(tmpdir)/usr/share/man/man$(mansec)

%:
	dh $@

override_dh_auto_install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	install -Dm 644 debian/hfsbootdata.img     $(shrdir)/hfsbootdata
	install -m 755 newfs_hfs.tproj/newfs_hfs   $(tmpdir)/sbin/mkfs.hfsplus
	install -m 755 fsck_hfs.tproj/fsck_hfs     $(tmpdir)/sbin/fsck.hfsplus
	install -m 644 newfs_hfs.tproj/newfs_hfs.8 $(mandir)/mkfs.hfsplus.8
	install -m 644 fsck_hfs.tproj/fsck_hfs.8   $(mandir)/fsck.hfsplus.8
